(function () {
    "use strict";

    angular.module('pos').factory('operacaoVendaService', factory);
    factory.$inject = ['$http', '$q'];

    function factory($http, $q) {
        var _getAll = function () {
            var deferred = $q.defer();
            $http.post('/entidadeauxiliar/getalloperacaovenda')
                .success(function (data) { deferred.resolve(data); })
                .error(function (data, status, headers, config) { deferred.reject(data); });
            return deferred.promise;
        };

        return {
            getAll: _getAll
        };
    }

})();